%define cpanname Net-Telnet

Name:    perl-%{cpanname}
Version: 3.03
Release: 2.ker.rhel4
License: GPL
Summary: Net::Telnet - interact with TELNET port or other TCP ports.
Group:   Development/Libraries
Source:  %{cpanname}-%{version}.tar.bz2
URL: 	 http://search.cpan.org/search?mode=module&query=%{cpanname}
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl

%description
Net::Telnet allows you to make client connections to a TCP port and do network
I/O, especially to a port using the TELNET protocol. Simple I/O methods such as
print, get, and getline are provided. More sophisticated interactive features
are provided because connecting to a TELNET port ultimately means communicating
with a program designed for human interaction. These interactive features
include the ability to specify a time-out and to wait for patterns to appear in
the input stream, such as the prompt from a shell.

%prep
%setup -q -n %{cpanname}-%{version} 

%build
echo | CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc ChangeLog README

%changelog
* Sat Mar 05 2005 Milan Kerslager <kerslage@linux.cz> 3.03-2.ker.rhel4
- unified SPEC file
- rebuild for RHEL4

* Sat Jan 03 2004 Milan Kerslager <kerslage@linux.cz> 3.03-1_WB3
- rebuild for WhiteBoxLinux.org 3.0
- do not own %{perl_vendorlib}/Net directory

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.03-4mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro
